Bug 523955 - (CVE-2009-2905) CVE-2009-2905 newt: heap-overflow in textbox when text reflowing
CVE-2009-2905 newt: heap-overflow in textbox when text reflowing
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20090924,sourc...
: Security
Depends On: 524613 524615 524617 524618 524619
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-17 07:48 EDT by Miroslav Lichvar
Modified: 2009-10-05 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-05 02:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Jan Lieskovsky 2009-09-18 13:52:14 EDT
A heap-based buffer overflow flaw was found in the way newt processes
content that is to be displayed in a text dialog box. A local attacker
could issue a specially-crafted text dialog box display request (direct or
via a custom application), leading to a denial of service (application
crash) or, potentially, arbitrary code execution with the privileges of the
user running the application using the newt library.
Comment 14 Fedora Update System 2009-09-24 10:32:33 EDT
newt-0.52.10-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/newt-0.52.10-2.fc10
Comment 15 Fedora Update System 2009-09-24 10:32:36 EDT
newt-0.52.10-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/newt-0.52.10-4.fc11
Comment 16 errata-xmlrpc 2009-09-24 15:21:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1463 https://rhn.redhat.com/errata/RHSA-2009-1463.html
Comment 17 Fedora Update System 2009-09-25 16:14:47 EDT
newt-0.52.10-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-09-25 16:15:39 EDT
newt-0.52.10-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.